# Uses of Interface
javax.swing.undo.StateEditable

Packages that use StateEditable
Package
Description
javax.swing.undo
Allows developers to provide support for undo/redo in applications such as text editors.

## Uses of StateEditable in javax.swing.undo

Fields in javax.swing.undo declared as StateEditable
Modifier and Type
Field
Description
`protected StateEditable`
StateEdit.`object`
The object being edited
Methods in javax.swing.undo with parameters of type StateEditable
Modifier and Type
Method
Description
`protected void`
StateEdit.`init(StateEditable anObject, String name)`
Initialize the state edit.
Constructors in javax.swing.undo with parameters of type StateEditable
Modifier
Constructor
Description
``
`StateEdit(StateEditable anObject)`
Create and return a new StateEdit.
``
`StateEdit(StateEditable anObject, String name)`
Create and return a new StateEdit with a presentation name.